#

API Docs for:
Show: Inherited Protected Private Deprecated

# CurveUtil Class

Defined in: `input/charts/CurveUtil.js:1`
Module: charts

Utility class used for calculating curve points.

- Index
- Methods

## Item Index

### Methods

- getControlPoints
- getCurveControlPoints

## Methods

### `getControlPoints`

(

- `vals`

)
private

Defined in `input/charts/CurveUtil.js:88`

Gets the control points for the curve.

#### Parameters:

- `vals` Array

  Collection of values coords used to generate control points.

#### Returns:

Array

### `getCurveControlPoints`

(

- `xcoords`
- `ycoords`

)
protected

Defined in `input/charts/CurveUtil.js:13`

Creates an array of start, end and control points for splines.

#### Parameters:

- `xcoords` Array

  Collection of x-coordinates used for calculate the curves

- `ycoords` Array

  Collection of y-coordinates used for calculate the curves

#### Returns:

Object